.SUBCKT 2SJ201 1 2 3
* Node 1 -> Drain
* Node 2 -> Gate
* Node 3 -> Source
***************************************
M1  4 5 3 3 PMOS8X L=2U W=1.8
RG    2  5    1m
RD    1  4    1m
DDS   1  3    DDS
DDG   1  2    DDG
CGS   5  3    270p
.MODEL PMOS8X PMOS (LEVEL=8 VTH0=-1.7
+ K1=1 K2=0 K3=0 K3B=0 DROUT=10
+ TOX=110N XJ=1e-6 NCH=1E17
+ cgso=0 cgdo=0 cgbo=0
;+ w0=0
+ pdiblc1=0 pdiblc2=0
;+ beta0=300
;+ pclm = 1
;+ cdsc=0
;+ dvt0=0 dvt1=0 dvt2=0
;+ dvt1w=0 dvt2w=0
;+ uc=0
;+ keta=0
+ pscbe1=1e10 pscbe2=1e-10
;+ delta = 0
+ )
*************************************************************************
.MODEL DDS D (CJO=1.4n VJ=0.9 M=.55
+RS=0.005 IS=1E-10 TT=20.5n N=1.12 BV=200)
*************************************************************************
.MODEL DDG D (CJO=2.7n VJ=0.43 M=0.65 IS=1E-32 N=50 FC=1E-8)
*************************************************************************
.ENDS